%VÝPOČET WEIBULLOVA ROZDĚLENÍ A TRVANLIVOSTI PRO MAZIVO MOGUL LV3

soubor_dat_MOGUL=[6158250;6969690;7056630;7158060;7868070;8143380;8751960;
                  8867880;8998290;10476270;10722600;11360160;11505060;
                  12041190;12244050;12432420;12461400;13417740;14084280;   
                  17721270];                                               %USPOŘÁDANÝ SOUBOR DAT TRVANLIVOSTÍ ZKUŠEBNÍCH VZORKŮ
              
L1=log(soubor_dat_MOGUL);                                                  %VÝPOČET PARAMETRŮ WEIBULLOVA ROZDĚLENÍ
N1=length(L1);
Y1=[0;0];
for i=1:N1;                                                                
    Y1(i)=log(log(1/(1-((i-0.3)/(N1+0.4)))));
end
P1=polyfit(L1,Y1,1);                                                       
P1(2)=exp(-P1(2)/P1(1));

a_MOGUL=P1(2);                                                             %PARAMETR MĚŘÍTKA(SCALE)
b_MOGUL=P1(1);                                                             %PARAMETR TVARU(SHAPE)
trvanlivost_MOGUL=a_MOGUL*(log(1/0.9))^(1/b_MOGUL);                        %ZÁKLADNÍ TRVANLIVOST L10

x1=[0.01:0.01:1];                                                          %VÝPOČET FUNKCE PŘEŽITÍ(SURVIVAL FUNCTION)
delka1=length(x1);
y1=[0;0];
for j=1:delka1;
    y1(j)=a_MOGUL*(log(1/x1(j)))^(1/b_MOGUL);
end


%VÝPOČET WEIBULLOVA ROZDĚLENÍ A TRVANLIVOSTI PRO MAZIVO METANOVA F1.5

soubor_dat_METANOVA=[10592190;11113830;14171220;20083140;20257020;22821750;
                     23749110;24473610;27168750;29052450;29704500;32312700;
                     32747400;34080480;34123950;35225190;36253980;39847500;
                     43846740;45223290];                                   %USPOŘÁDANÝ SOUBOR DAT TRVANLIVOSTÍ ZKUŠEBNÍCH VZORKŮ
                 
L2=log(soubor_dat_METANOVA);                                               %VÝPOČET PARAMETRŮ WEIBULLOVA ROZDĚLENÍ
N2=length(L2);
Y2=[0;0];
for i=1:N2;
    Y2(i)=log(log(1/(1-((i-0.3)/(N2+0.4)))));
end
P2=polyfit(L2,Y2,1);
P2(2)=exp(-P2(2)/P2(1));

a_METANOVA=P2(2);                                                          %PARAMETR MĚŘÍTKA(SCALE)
b_METANOVA=P2(1);                                                          %PARAMETR TVARU(SHAPE)
trvanlivost_METANOVA=a_METANOVA*(log(1/0.9))^(1/b_METANOVA);               %ZÁKLADNÍ TRVANLIVOST L10

x2=[0.01:0.01:1];                                                          %VÝPOČET FUNKCE PŘEŽITÍ(SURVIVAL FUNCTION)
delka2=length(x2);
y2=[0;0];
for j=1:delka2;
    y2(j)=a_METANOVA*(log(1/x2(j)))^(1/b_METANOVA);
end

rozdil_trvanlivosti=((trvanlivost_METANOVA/trvanlivost_MOGUL)*100)-100;    %VÝPOČET PROCENTUÁLNÍHO ROZDÍLU TRVANLIVOSTÍ


%VYKRESLENÍ GRAFŮ FUNKCE PŘEŽITÍ

porovnavacix=[0,trvanlivost_METANOVA];                                     %POMOCNÉ VEKTORY PRO VYZNAČENÍ ZÁKLADNÍ TRVANLIVOSTI L10
porovnavaciy=[0.9,0.9];
svislay=[0.9,0];
svisla_MOGUL=[trvanlivost_MOGUL,trvanlivost_MOGUL];
svisla_METANOVA=[trvanlivost_METANOVA,trvanlivost_METANOVA];

plot(y1,x1,y2,x2,'r',porovnavacix,porovnavaciy,'k',svisla_MOGUL,svislay,...%VYKRESLENÍ FUNKCÍ PŘEŽITÍ
     'k',svisla_METANOVA,svislay,'k')
 
grid on                                                                    %FORMÁTOVÁNÍ GRAFU
rozsah_grafu=[0,60000000,0,1.1];
axis(rozsah_grafu)
legend('MOGUL','METANOVA')
title('Závislost pravděpodobnosti přežití vzorku na počtu cyklů')
xlabel('Počet cyklů [-]')
ylabel('Pravděpodobnost přežití vzorku (survival function) [-]')


%VÝPIS VÝSLEDKŮ

fprintf('Trvanlivost vzorku mazaným mazivem Mogul LV3 je %0.3e cyklů.\n',trvanlivost_MOGUL)
fprintf('Trvanlivost vzorku mazaným mazivem Metanova F1.5 je %0.3e cyklů.\n',trvanlivost_METANOVA)
fprintf('Trvanlivost vzorku mazaným mazivem Metanova je o %1.0f%% větší než vzorku mazaným mazivem Mogul LV3.\n',rozdil_trvanlivosti)
